The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Tomcat 5.5.7 with JDK 1.4

Discussion in 'General Discussion' started by denisdekat09, Aug 12, 2005.

  1. denisdekat09

    denisdekat09 Well-Known Member

    Mar 2, 2002
    Likes Received:
    Trophy Points:
    San Francisco

    I had a customer who required jdk 1.4 for his applications to work and I finally got Tomcat 5.5.7 (current version provided by Cpanel)to work. I did much searching on the forums and found this post which was the final bit that helped me solve my issues:

    Basically I needed to grab a compat package I was missing, the rest was quite easy really. So sad I missed this, but anyhow...

    I am going the list steps I took to get it to work.

    1) Grab a j2sdk package from sun ( example: )
    2) Upload it to the server and unpack it, then rpm install it.
    3) Then I did switch the linking for jdk ( mv /usr/local/jdk /usr/local/jdk.old; ln -s /usr/java/j2sdk1.4.2_09 /usr/local/jdk
    4) Install the compat libraries - goes something like this:

    mv /usr/local/jakarta
    tar zxvf jakarta-tomcat-5.5.7-compat.tar.gz

    5) Then restart tomcat, it should work, as it did for me :)

    Hope this helps someone...
    #1 denisdekat09, Aug 12, 2005
    Last edited: Aug 12, 2005

Share This Page